import { __decorate } from 'tslib';
import { Component, Injectable, NgModule } from '@angular/core';
import { BsModalRef, BsModalService, ModalModule } from 'ngx-bootstrap/modal';

let NgxBootstrapConfirmComponent = class NgxBootstrapConfirmComponent {
    constructor(bsModalRef) {
        this.bsModalRef = bsModalRef;
    }
    confirm() {
        if (this.bsModalRef.content.callback != null) {
            this.bsModalRef.content.callback(true);
            this.bsModalRef.hide();
        }
    }
    decline() {
        if (this.bsModalRef.content.callback != null) {
            this.bsModalRef.content.callback(false);
            this.bsModalRef.hide();
        }
    }
};
NgxBootstrapConfirmComponent.ctorParameters = () => [
    { type: BsModalRef }
];
NgxBootstrapConfirmComponent = __decorate([
    Component({
        selector: 'lib-ngx-bootstrap-confirm',
        template: `
  <div class="confirm modal-body">
      <div class="content" [innerHTML]="title"></div>
      <div class="buttons">
          <button type="button" class="btn btn-success" (click)="confirm()" [innerHTML]="confirmLabel">Okay</button>
          <button type="button" class="btn btn-danger" (click)="decline()" [innerHTML]="declineLabel">Cancel</button>
      </div>
  </div>
  `
    })
], NgxBootstrapConfirmComponent);

let NgxBootstrapConfirmService = class NgxBootstrapConfirmService {
    constructor(modalService) {
        this.modalService = modalService;
    }
    confirm(options) {
        return new Promise((resolve, reject) => {
            this.modalRef = this.modalService.show(NgxBootstrapConfirmComponent, {
                initialState: {
                    title: options.title,
                    confirmLabel: options.confirmLabel,
                    declineLabel: options.declineLabel,
                    callback: (result) => {
                        resolve(result);
                    },
                },
            });
        });
    }
};
NgxBootstrapConfirmService.ctorParameters = () => [
    { type: BsModalService }
];
NgxBootstrapConfirmService = __decorate([
    Injectable()
], NgxBootstrapConfirmService);

let NgxBootstrapConfirmModule = class NgxBootstrapConfirmModule {
};
NgxBootstrapConfirmModule = __decorate([
    NgModule({
        declarations: [NgxBootstrapConfirmComponent],
        imports: [ModalModule.forRoot()],
        exports: [NgxBootstrapConfirmComponent],
        providers: [NgxBootstrapConfirmService],
    })
], NgxBootstrapConfirmModule);

/*
 * Public API Surface of ngx-bootstrap-confirm
 */

/**
 * Generated bundle index. Do not edit.
 */

export { NgxBootstrapConfirmComponent, NgxBootstrapConfirmModule, NgxBootstrapConfirmService };
//# sourceMappingURL=ngx-bootstrap-confirm.js.map
