import { __decorate } from 'tslib';
import { Component, Injectable, NgModule } from '@angular/core';
import { BsModalRef, BsModalService, ModalModule } from 'ngx-bootstrap/modal';

var NgxBootstrapConfirmComponent = /** @class */ (function () {
    function NgxBootstrapConfirmComponent(bsModalRef) {
        this.bsModalRef = bsModalRef;
    }
    NgxBootstrapConfirmComponent.prototype.confirm = function () {
        if (this.bsModalRef.content.callback != null) {
            this.bsModalRef.content.callback(true);
            this.bsModalRef.hide();
        }
    };
    NgxBootstrapConfirmComponent.prototype.decline = function () {
        if (this.bsModalRef.content.callback != null) {
            this.bsModalRef.content.callback(false);
            this.bsModalRef.hide();
        }
    };
    NgxBootstrapConfirmComponent.ctorParameters = function () { return [
        { type: BsModalRef }
    ]; };
    NgxBootstrapConfirmComponent = __decorate([
        Component({
            selector: 'lib-ngx-bootstrap-confirm',
            template: "\n  <div class=\"confirm modal-body\">\n      <div class=\"content\" [innerHTML]=\"title\"></div>\n      <div class=\"buttons\">\n          <button type=\"button\" class=\"btn btn-success\" (click)=\"confirm()\" [innerHTML]=\"confirmLabel\">Okay</button>\n          <button type=\"button\" class=\"btn btn-danger\" (click)=\"decline()\" [innerHTML]=\"declineLabel\">Cancel</button>\n      </div>\n  </div>\n  "
        })
    ], NgxBootstrapConfirmComponent);
    return NgxBootstrapConfirmComponent;
}());

var NgxBootstrapConfirmService = /** @class */ (function () {
    function NgxBootstrapConfirmService(modalService) {
        this.modalService = modalService;
    }
    NgxBootstrapConfirmService.prototype.confirm = function (options) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            _this.modalRef = _this.modalService.show(NgxBootstrapConfirmComponent, {
                initialState: {
                    title: options.title,
                    confirmLabel: options.confirmLabel,
                    declineLabel: options.declineLabel,
                    callback: function (result) {
                        resolve(result);
                    },
                },
            });
        });
    };
    NgxBootstrapConfirmService.ctorParameters = function () { return [
        { type: BsModalService }
    ]; };
    NgxBootstrapConfirmService = __decorate([
        Injectable()
    ], NgxBootstrapConfirmService);
    return NgxBootstrapConfirmService;
}());

var NgxBootstrapConfirmModule = /** @class */ (function () {
    function NgxBootstrapConfirmModule() {
    }
    NgxBootstrapConfirmModule = __decorate([
        NgModule({
            declarations: [NgxBootstrapConfirmComponent],
            imports: [ModalModule.forRoot()],
            exports: [NgxBootstrapConfirmComponent],
            providers: [NgxBootstrapConfirmService],
        })
    ], NgxBootstrapConfirmModule);
    return NgxBootstrapConfirmModule;
}());

/*
 * Public API Surface of ngx-bootstrap-confirm
 */

/**
 * Generated bundle index. Do not edit.
 */

export { NgxBootstrapConfirmComponent, NgxBootstrapConfirmModule, NgxBootstrapConfirmService };
//# sourceMappingURL=ngx-bootstrap-confirm.js.map
